### Class

# Aravis Evaluator

#### Description

    final class Aravis.Evaluator : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### arv_evaluator_new

Creates a new `ArvEvaluator` object. The syntax is described in the genicam standard specification.

#### Instance methods

###### arv_evaluator_evaluate_as_double

No description available.

###### arv_evaluator_evaluate_as_int64

No description available.

###### arv_evaluator_get_constant

No description available.

since: 0.6.0

###### arv_evaluator_get_expression

No description available.

###### arv_evaluator_get_sub_expression

No description available.

since: 0.6.0

###### arv_evaluator_set_constant

Assign a string to a constant. If `constant` == `NULL`, the constant previously assigned to `name` will be removed.

since: 0.6.0

###### arv_evaluator_set_double_variable

No description available.

###### arv_evaluator_set_expression

No description available.

###### arv_evaluator_set_int64_variable

No description available.

###### arv_evaluator_set_sub_expression

Assign a formula to a sub-expression. If `expression` == `NULL`, the sub-expression previously assigned to `name` will be removed. A sub-expression may not reference another sub-expression.

since: 0.6.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AravisEvaluatorClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.